Package org.eclipse.emf.cdo.spi.common.lock

# Class AbstractCDOLockChangeInfo

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.emf.cdo.spi.common.lock.AbstractCDOLockChangeInfo

All Implemented Interfaces:
  `Serializable`, `CDOBranchPoint`, `CDOBranchProvider`, `CDOLockChangeInfo`, `CDOTimeProvider`, `org.eclipse.net4j.util.event.IEvent`

public abstract class AbstractCDOLockChangeInfo extends org.eclipse.net4j.util.event.Event implements CDOLockChangeInfo
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.15
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockChangeInfo

`CDOLockChangeInfo.Operation`

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`INVALID_DATE, UNSPECIFIED_DATE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractCDOLockChangeInfo(org.eclipse.net4j.util.event.INotifier notifier)`

## Method Summary

Modifier and Type
Method
Description
`final Set<CDOID>`
`getAffectedIDs()`
`final org.eclipse.net4j.util.concurrent.IRWLockManager.LockType`
`getLockType()`
Deprecated.
`final Set<org.eclipse.net4j.util.concurrent.IRWLockManager.LockType>`
`getLockTypes()`
`final CDOLockChangeInfo.Operation`
`getOperation()`
Deprecated.
`final Set<CDOLockChangeInfo.Operation>`
`getOperations()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatAdditionalParameters, formatEventName, getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockChangeInfo

`getBranch, getLockDeltas, getLockOwner, getLockStates, getTimeStamp, isInvalidateAll`

## Constructor Details

### AbstractCDOLockChangeInfo

public AbstractCDOLockChangeInfo(org.eclipse.net4j.util.event.INotifier notifier)

## Method Details

### getOperations

public final Set<CDOLockChangeInfo.Operation> getOperations()

Specified by:
  `getOperations` in interface `CDOLockChangeInfo`

### getLockTypes

public final Set<org.eclipse.net4j.util.concurrent.IRWLockManager.LockType> getLockTypes()

Specified by:
  `getLockTypes` in interface `CDOLockChangeInfo`

### getAffectedIDs

public final Set<CDOID> getAffectedIDs()

Specified by:
  `getAffectedIDs` in interface `CDOLockChangeInfo`

### getOperation

@Deprecated public final CDOLockChangeInfo.Operation getOperation()
Deprecated.

Specified by:
  `getOperation` in interface `CDOLockChangeInfo`
Returns:
  the type of lock operation that caused the lock changes

### getLockType

@Deprecated public final org.eclipse.net4j.util.concurrent.IRWLockManager.LockType getLockType()
Deprecated.

Specified by:
  `getLockType` in interface `CDOLockChangeInfo`
Returns:
  the type of locks that were affected by the lock operation